# Uses of Class
com.ngrok.definitions.EndpointMutualTls

Packages that use EndpointMutualTls
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of EndpointMutualTls in com.ngrok.definitions

  Methods in com.ngrok.definitions that return types with arguments of type EndpointMutualTls
  Modifier and Type
  Method
  Description
  `Optional<EndpointMutualTls>`
  HttpsEdge.`getMutualTls()`
  edge modules
  `Optional<EndpointMutualTls>`
  TlsEdge.`getMutualTls()`
  Fetches the value of the `mutualTls` property.

- ## Uses of EndpointMutualTls in com.ngrok.services

  Methods in com.ngrok.services that return EndpointMutualTls
  Modifier and Type
  Method
  Description
  `EndpointMutualTls`
  HttpsEdgeMutualTlsModule.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `EndpointMutualTls`
  HttpsEdgeMutualTlsModule.ReplaceCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `EndpointMutualTls`
  TlsEdgeMutualTlsModule.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `EndpointMutualTls`
  TlsEdgeMutualTlsModule.ReplaceCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type EndpointMutualTls
  Modifier and Type
  Method
  Description
  `CompletionStage<EndpointMutualTls>`
  HttpsEdgeMutualTlsModule.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<EndpointMutualTls>`
  HttpsEdgeMutualTlsModule.ReplaceCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<EndpointMutualTls>`
  TlsEdgeMutualTlsModule.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<EndpointMutualTls>`
  TlsEdgeMutualTlsModule.ReplaceCallBuilder.`call()`
  Initiates the API call asynchronously.